## WebKitDOMHTMLTextAreaElement

WebKitDOMHTMLTextAreaElement

## Functions

gboolean | webkit_dom_html_text_area_element_check_validity ()
void | webkit_dom_html_text_area_element_set_custom_validity ()
void | webkit_dom_html_text_area_element_select ()
void | webkit_dom_html_text_area_element_set_range_text ()
void | webkit_dom_html_text_area_element_set_selection_range ()
gboolean | webkit_dom_html_text_area_element_get_autofocus ()
void | webkit_dom_html_text_area_element_set_autofocus ()
glong | webkit_dom_html_text_area_element_get_cols ()
void | webkit_dom_html_text_area_element_set_cols ()
gchar * | webkit_dom_html_text_area_element_get_dir_name ()
void | webkit_dom_html_text_area_element_set_dir_name ()
gboolean | webkit_dom_html_text_area_element_get_disabled ()
void | webkit_dom_html_text_area_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_text_area_element_get_form ()
glong | webkit_dom_html_text_area_element_get_max_length ()
void | webkit_dom_html_text_area_element_set_max_length ()
gchar * | webkit_dom_html_text_area_element_get_name ()
void | webkit_dom_html_text_area_element_set_name ()
gchar * | webkit_dom_html_text_area_element_get_placeholder ()
void | webkit_dom_html_text_area_element_set_placeholder ()
gboolean | webkit_dom_html_text_area_element_get_read_only ()
void | webkit_dom_html_text_area_element_set_read_only ()
gboolean | webkit_dom_html_text_area_element_get_required ()
void | webkit_dom_html_text_area_element_set_required ()
glong | webkit_dom_html_text_area_element_get_rows ()
void | webkit_dom_html_text_area_element_set_rows ()
gchar * | webkit_dom_html_text_area_element_get_wrap ()
void | webkit_dom_html_text_area_element_set_wrap ()
gchar * | webkit_dom_html_text_area_element_get_default_value ()
void | webkit_dom_html_text_area_element_set_default_value ()
gchar * | webkit_dom_html_text_area_element_get_value ()
void | webkit_dom_html_text_area_element_set_value ()
gulong | webkit_dom_html_text_area_element_get_text_length ()
gboolean | webkit_dom_html_text_area_element_get_will_validate ()
WebKitDOMValidityState * | webkit_dom_html_text_area_element_get_validity ()
gchar * | webkit_dom_html_text_area_element_get_validation_message ()
WebKitDOMNodeList * | webkit_dom_html_text_area_element_get_labels ()
glong | webkit_dom_html_text_area_element_get_selection_start ()
void | webkit_dom_html_text_area_element_set_selection_start ()
glong | webkit_dom_html_text_area_element_get_selection_end ()
void | webkit_dom_html_text_area_element_set_selection_end ()
gchar * | webkit_dom_html_text_area_element_get_selection_direction ()
void | webkit_dom_html_text_area_element_set_selection_direction ()
gboolean | webkit_dom_html_text_area_element_get_autocorrect ()
void | webkit_dom_html_text_area_element_set_autocorrect ()
gchar * | webkit_dom_html_text_area_element_get_autocapitalize ()
void | webkit_dom_html_text_area_element_set_autocapitalize ()

## Properties

gchar * | autocapitalize | Read / Write
gboolean | autocorrect | Read / Write
gboolean | autofocus | Read / Write
glong | cols | Read / Write
gchar * | default-value | Read / Write
gchar * | dir-name | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
WebKitDOMNodeList * | labels | Read
glong | max-length | Read / Write
gchar * | name | Read / Write
gchar * | placeholder | Read / Write
gboolean | read-only | Read / Write
gboolean | required | Read / Write
glong | rows | Read / Write
gchar * | selection-direction | Read / Write
glong | selection-end | Read / Write
glong | selection-start | Read / Write
gulong | text-length | Read
gchar * | type | Read
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gchar * | value | Read / Write
gboolean | will-validate | Read
gchar * | wrap | Read / Write

## Types and Values

| WebKitDOMHTMLTextAreaElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTextAreaElement

## Implemented Interfaces

WebKitDOMHTMLTextAreaElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_text_area_element_check_validity ()

    gboolean
    webkit_dom_html_text_area_element_check_validity
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_custom_validity ()

    void
    webkit_dom_html_text_area_element_set_custom_validity
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *error);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
error | A gchar |

### webkit_dom_html_text_area_element_select ()

    void
    webkit_dom_html_text_area_element_select
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

### webkit_dom_html_text_area_element_set_range_text ()

    void
    webkit_dom_html_text_area_element_set_range_text
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *replacement,
                                    gulong start,
                                    gulong end,
                                    const gchar *selectionMode,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
replacement | A gchar |
start | A gulong |
end | A gulong |
selectionMode | A gchar |
error | GError |

### webkit_dom_html_text_area_element_set_selection_range ()

    void
    webkit_dom_html_text_area_element_set_selection_range
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong start,
                                    glong end,
                                    const gchar *direction);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
start | A glong |
end | A glong |
direction | A gchar |

### webkit_dom_html_text_area_element_get_autofocus ()

    gboolean
    webkit_dom_html_text_area_element_get_autofocus
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_autofocus ()

    void
    webkit_dom_html_text_area_element_set_autofocus
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_cols ()

    glong
    webkit_dom_html_text_area_element_get_cols
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_cols ()

    void
    webkit_dom_html_text_area_element_set_cols
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_dir_name ()

    gchar *
    webkit_dom_html_text_area_element_get_dir_name
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_dir_name ()

    void
    webkit_dom_html_text_area_element_set_dir_name
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_disabled ()

    gboolean
    webkit_dom_html_text_area_element_get_disabled
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_disabled ()

    void
    webkit_dom_html_text_area_element_set_disabled
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_text_area_element_get_form
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_text_area_element_get_max_length ()

    glong
    webkit_dom_html_text_area_element_get_max_length
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_max_length ()

    void
    webkit_dom_html_text_area_element_set_max_length
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |
error | GError |

### webkit_dom_html_text_area_element_get_name ()

    gchar *
    webkit_dom_html_text_area_element_get_name
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_name ()

    void
    webkit_dom_html_text_area_element_set_name
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_placeholder ()

    gchar *
    webkit_dom_html_text_area_element_get_placeholder
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_placeholder ()

    void
    webkit_dom_html_text_area_element_set_placeholder
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_read_only ()

    gboolean
    webkit_dom_html_text_area_element_get_read_only
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_read_only ()

    void
    webkit_dom_html_text_area_element_set_read_only
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_required ()

    gboolean
    webkit_dom_html_text_area_element_get_required
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_required ()

    void
    webkit_dom_html_text_area_element_set_required
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_rows ()

    glong
    webkit_dom_html_text_area_element_get_rows
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_rows ()

    void
    webkit_dom_html_text_area_element_set_rows
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_wrap ()

    gchar *
    webkit_dom_html_text_area_element_get_wrap
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_wrap ()

    void
    webkit_dom_html_text_area_element_set_wrap
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_default_value ()

    gchar *
    webkit_dom_html_text_area_element_get_default_value
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_default_value ()

    void
    webkit_dom_html_text_area_element_set_default_value
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_value ()

    gchar *
    webkit_dom_html_text_area_element_get_value
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_value ()

    void
    webkit_dom_html_text_area_element_set_value
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_text_length ()

    gulong
    webkit_dom_html_text_area_element_get_text_length
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gulong

### webkit_dom_html_text_area_element_get_will_validate ()

    gboolean
    webkit_dom_html_text_area_element_get_will_validate
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_get_validity ()

    WebKitDOMValidityState *
    webkit_dom_html_text_area_element_get_validity
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A WebKitDOMValidityState.

[transfer full]

### webkit_dom_html_text_area_element_get_validation_message ()

    gchar *
    webkit_dom_html_text_area_element_get_validation_message
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_get_labels ()

    WebKitDOMNodeList *
    webkit_dom_html_text_area_element_get_labels
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_html_text_area_element_get_selection_start ()

    glong
    webkit_dom_html_text_area_element_get_selection_start
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_selection_start ()

    void
    webkit_dom_html_text_area_element_set_selection_start
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_selection_end ()

    glong
    webkit_dom_html_text_area_element_get_selection_end
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A glong

### webkit_dom_html_text_area_element_set_selection_end ()

    void
    webkit_dom_html_text_area_element_set_selection_end
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A glong |

### webkit_dom_html_text_area_element_get_selection_direction ()

    gchar *
    webkit_dom_html_text_area_element_get_selection_direction
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_selection_direction ()

    void
    webkit_dom_html_text_area_element_set_selection_direction
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

### webkit_dom_html_text_area_element_get_autocorrect ()

    gboolean
    webkit_dom_html_text_area_element_get_autocorrect
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gboolean

### webkit_dom_html_text_area_element_set_autocorrect ()

    void
    webkit_dom_html_text_area_element_set_autocorrect
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gboolean |

### webkit_dom_html_text_area_element_get_autocapitalize ()

    gchar *
    webkit_dom_html_text_area_element_get_autocapitalize
                                   (WebKitDOMHTMLTextAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |

#### Returns

A gchar

### webkit_dom_html_text_area_element_set_autocapitalize ()

    void
    webkit_dom_html_text_area_element_set_autocapitalize
                                   (WebKitDOMHTMLTextAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTextAreaElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLTextAreaElement

    typedef struct _WebKitDOMHTMLTextAreaElement WebKitDOMHTMLTextAreaElement;

## Property Details

### The `“autocapitalize”` property

      “autocapitalize”           gchar *

read-write gchar* HTMLTextAreaElement:autocapitalize.

Flags: Read / Write

Default value: ""

### The `“autocorrect”` property

      “autocorrect”              gboolean

read-write gboolean HTMLTextAreaElement:autocorrect.

Flags: Read / Write

Default value: FALSE

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLTextAreaElement:autofocus.

Flags: Read / Write

Default value: FALSE

### The `“cols”` property

      “cols”                     glong

read-write glong HTMLTextAreaElement:cols.

Flags: Read / Write

Default value: 0

### The `“default-value”` property

      “default-value”            gchar *

read-write gchar* HTMLTextAreaElement:default-value.

Flags: Read / Write

Default value: ""

### The `“dir-name”` property

      “dir-name”                 gchar *

read-write gchar* HTMLTextAreaElement:dir-name.

Flags: Read / Write

Default value: ""

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLTextAreaElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLTextAreaElement:form.

Flags: Read

### The `“labels”` property

      “labels”                   WebKitDOMNodeList *

read-only WebKitDOMNodeList* HTMLTextAreaElement:labels.

Flags: Read

### The `“max-length”` property

      “max-length”               glong

read-write glong HTMLTextAreaElement:max-length.

Flags: Read / Write

Default value: 0

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLTextAreaElement:name.

Flags: Read / Write

Default value: ""

### The `“placeholder”` property

      “placeholder”              gchar *

read-write gchar* HTMLTextAreaElement:placeholder.

Flags: Read / Write

Default value: ""

### The `“read-only”` property

      “read-only”                gboolean

read-write gboolean HTMLTextAreaElement:read-only.

Flags: Read / Write

Default value: FALSE

### The `“required”` property

      “required”                 gboolean

read-write gboolean HTMLTextAreaElement:required.

Flags: Read / Write

Default value: FALSE

### The `“rows”` property

      “rows”                     glong

read-write glong HTMLTextAreaElement:rows.

Flags: Read / Write

Default value: 0

### The `“selection-direction”` property

      “selection-direction”      gchar *

read-write gchar* HTMLTextAreaElement:selection-direction.

Flags: Read / Write

Default value: ""

### The `“selection-end”` property

      “selection-end”            glong

read-write glong HTMLTextAreaElement:selection-end.

Flags: Read / Write

Default value: 0

### The `“selection-start”` property

      “selection-start”          glong

read-write glong HTMLTextAreaElement:selection-start.

Flags: Read / Write

Default value: 0

### The `“text-length”` property

      “text-length”              gulong

read-only gulong HTMLTextAreaElement:text-length.

Flags: Read

### The `“type”` property

      “type”                     gchar *

read-only gchar* HTMLTextAreaElement:type.

Flags: Read

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLTextAreaElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLTextAreaElement:validity.

Flags: Read

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLTextAreaElement:value.

Flags: Read / Write

Default value: ""

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLTextAreaElement:will-validate.

Flags: Read

Default value: FALSE

### The `“wrap”` property

      “wrap”                     gchar *

read-write gchar* HTMLTextAreaElement:wrap.

Flags: Read / Write

Default value: ""